package echo.actions;

import org.apache.jetspeed.modules.actions.portlets.JspPortletAction;
import org.apache.jetspeed.portal.Portlet;
import org.apache.jetspeed.services.rundata.JetspeedRunData;
import org.apache.turbine.util.RunData;

public class EchoAction extends JspPortletAction  {

  protected void buildNormalContext( Portlet portlet, RunData runData ) throws Exception  {

    String echo2 = (String)runData.getRequest().getAttribute( "echo2" );

    if ( echo2 == null )
      echo2 = portlet.getPortletConfig().getInitParameter( "echo" );

    runData.getRequest().setAttribute( "echo2", echo2 );

  }

  public void doUpdate( RunData runData, Portlet portlet ) throws Exception  {

    String echo2 = runData.getRequest().getParameter( "echo2" );

    if ( echo2 != null && echo2.length() > 0 )  {
      try  {
        echo2 = new String( echo2.getBytes( "ISO-8859-1" ), runData.getCharSet() );
      } catch( Exception ex )  {
        echo2 = ex.getMessage();
      }
    } else echo2 = "ʸϤƤ";

    runData.getRequest().setAttribute( "echo2", echo2 );

  }

}
