package echo.portlets;

import org.apache.ecs.ConcreteElement;
import org.apache.ecs.Element;
import org.apache.ecs.html.*;
import org.apache.jetspeed.portal.portlets.AbstractInstancePortlet;
import org.apache.jetspeed.om.security.JetspeedUser;
import org.apache.turbine.util.RunData;
import org.apache.turbine.om.security.User;

public class EchoPortlet extends AbstractInstancePortlet  {

  public ConcreteElement getContent( RunData runData )  {

    String greeting = "Ϥޤ!";

    User user = runData.getUser();

    if ( ((JetspeedUser)user).isNew() )  {
      greeting = "Ϥޤ! " + user.getUserName() + "";
    } else {
      greeting = "٤Ǥ! " + user.getUserName() + " "
                   + user.getLastLogin().toString() + "֤Ǥ";
    }

    Center body = new Center();
    body.addElement( new H3(greeting) );
    Table table = new Table();
    table.setBorder( 1 );
    table.setAlign( "CENTER" );
    table.setWidth( "100%" );
    TR tr = new TR();
    tr.addElement( new TH( "ꤵƤǡ" ) );
    tr.addElement( new TH( "᥽å̾" ) );
    tr.addElement( new TH( "ºݤ" ) );
    table.addElement( new THead().addElement( tr ) );
    TBody tbody = new TBody();
    tbody.addElement( getTR( "̾()", "getLastName", user.getLastName() ) );
    tbody.addElement( getTR( "̾(̾)", "getFirstName", user.getFirstName() ) );
    tbody.addElement( getTR( "᡼륢ɥ쥹", "getEmail", user.getEmail() ) );
    tbody.addElement( getTR( "Ǹ˥", "getLastAccessDate", user.getLastAccessDate().toString() ) );
    tbody.addElement( getTR( "(PermStorage)", "getAccessCounter", String.valueOf( user.getAccessCounter() ) ) );
    tbody.addElement( getTR( "(forSession)", "getAccessCounterForSession", String.valueOf( user.getAccessCounterForSession() ) ) );
    table.addElement( tbody );
    body.addElement( table );
    return body;

  }

  private TR getTR( String title, String method, String data )  {
    TR tr = new TR();
    tr.addElement( new TD( title  ) );
    tr.addElement( new TD( method ) );
    tr.addElement( new TD( data   ) );
    return tr;
  }

}
