package echo.actions;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.StringWriter;

import org.apache.jetspeed.modules.actions.portlets.JspPortletAction;
import org.apache.jetspeed.portal.Portlet;
import org.apache.turbine.util.RunData;

public class TextUploadAction extends JspPortletAction  {

  protected void buildNormalContext( Portlet portlet, RunData runData ) throws Exception  {
    String text = (String)runData.getRequest().getAttribute( "text" );
    if ( text == null )  {
      text = "ƥȥե򥢥åץɤȡƤɽޤ";
      runData.getRequest().setAttribute( "text", text );
    }
  }
  public void doUpdate( RunData runData, Portlet portlet ) throws Exception  {

    BufferedReader in = new BufferedReader( new InputStreamReader( runData.getParameters().getFileItem("file").getInputStream(), "JISAutoDetect" ) );

    StringWriter out = new StringWriter();
    String line;
    while( ( line = in.readLine() ) != null )  {
      for( int pos = 0; pos < line.length(); pos++ )  {
        char ch = line.charAt( pos );
        switch( ch )  {
          case '&' :
            out.write( "&amp;" );
            break;
          case '<' :
            out.write( "&lt;" );
            break;
          case '>' :
            out.write( "&gt;" );
            break;
          case '\"' :
            out.write( "&quot;" );
            break;
          case ' ' :
            out.write( "&nbsp;" );
          default :
            out.write( ch );
        }
      }
      out.write( "<br>" );
    }

    runData.getRequest().setAttribute( "text", out.toString() );
    out.close();

  }

}
